# New release howto

## Preparation

Have a GPG key.
Your git knows about your GPG key.
Find the latest released version with:

```sh
git tag
```

Or go to: https://pagure.io/standard-test-roles/releases

## Upstream release

Mark git commit with release tag. For example, to make a new release based on
current `master` do:

```sh
git pull
git tag -s 3.2 -u 9A82842F -m "version 3.2" master
git push origin 3.2
```

Release .tar.gz archive with:

```sh
GIT_DIR=~/path/to/standard-test-roles/.git/  git archive \
        --format=tar.gz \
        --prefix standard-test-roles-3.2/ \
        -o standard-test-roles-3.2.tar.gz \
        -v 3.2
```

Upload standard-test-roles-3.2.tar.gz to
[pagure](https://pagure.io/standard-test-roles/upload "pagure").



## Fedora package

Check [current fedora](https://en.wikipedia.org/wiki/Fedora_version_history).

### Ursine package

Clone dist-git from
[package](https://src.fedoraproject.org/rpms/standard-test-roles/ "package").

Change directory to dist-git for package:

```sh
cd standard-test-roles
fedpkg switch-branch master
```

Update .spec file: Version, Release, changelog. Use next command:

```sh
rpmdev-bumpspec \
    --comment='Build with the latest merged PRs.' \
    --userstring='Andrei Stepanov <astepano@redhat.com>' \
    standard-test-roles.spec
```

Add new .tar.gz release and save changes to dist-git.

```sh
kinit astepano@FEDORAPROJECT.ORG
fedpkg new-sources standard-test-roles-3.2.tar.gz
git add standard-test-roles.spec sources
git commit -s -m "Sync with upstream release 3.2"
fedpkg push
```

Send build.

```sh
> fedpkg build --skip-nvr-check
```

```
fedpkg switch-branch f28
git merge f29
fedpkg push
fedpkg build --skip-nvr-check
```

## Internal build

```
brew build --skip-tag rhel-8.1.0-candidate standard-test-roles-4.4-1.el7.src.rpm
```

## Push new build to testing and to stable

[Koji web interface](https://koji.fedoraproject.org/koji/userinfo?userID=4024)


For each build send it to testing:

```
bodhi updates new --request=testing --notes="Update to 3.2" --type=enhancement --user astepano standard-test-roles-3.2-1.fc28
```

For each build:

1. Raise karma at [Bodhi web interface](https://bodhi.fedoraproject.org/users/astepano)
2. Send it to stable:

```
bodhi updates request --user=astepano standard-test-roles-3.2-1.fc28 stable
```
